Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core.namedparam
Class AbstractSqlParameterSource

    java.lang.Object
      org.springframework.jdbc.core.namedparam.AbstractSqlParameterSource

All Implemented Interfaces:
  SqlParameterSource

Direct Known Subclasses:
  BeanPropertySqlParameterSource, MapSqlParameterSource

    public abstract class AbstractSqlParameterSource

extends java.lang.Object
implements SqlParameterSource

Abstract base class for `SqlParameterSource` implementations. Provides registration of SQL types per parameter.

Since:
  2.0
Author:
  Juergen Hoeller

Field Summary

Fields inherited from interface org.springframework.jdbc.core.namedparam.SqlParameterSource
`TYPE_UNKNOWN`

Constructor Summary
`AbstractSqlParameterSource()`

Method Summary
`int` | `getSqlType(java.lang.String paramName)` Return the SQL type for the given parameter, if registered.
`java.lang.String` | `getTypeName(java.lang.String paramName)` Return the type name for the given parameter, if registered.
`void` | `registerSqlType(java.lang.String paramName, int sqlType)` Register a SQL type for the given parameter.
`void` | `registerTypeName(java.lang.String paramName, java.lang.String typeName)` Register a SQL type for the given parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.jdbc.core.namedparam.SqlParameterSource
`getValue, hasValue`

Constructor Detail

### AbstractSqlParameterSource

    public AbstractSqlParameterSource()

Method Detail

### registerSqlType

    public void registerSqlType(java.lang.String paramName,
                                int sqlType)

  Register a SQL type for the given parameter.

  Parameters:
    `paramName` - the name of the parameter
    `sqlType` - the SQL type of the parameter

### registerTypeName

    public void registerTypeName(java.lang.String paramName,
                                 java.lang.String typeName)

  Register a SQL type for the given parameter.

  Parameters:
    `paramName` - the name of the parameter
    `typeName` - the type name of the parameter

### getSqlType

    public int getSqlType(java.lang.String paramName)

  Return the SQL type for the given parameter, if registered.

  Specified by:
    `getSqlType` in interface `SqlParameterSource`
  Parameters:
    `paramName` - the name of the parameter
  Returns:
    the SQL type of the parameter, or `TYPE_UNKNOWN` if not registered
  See Also:
    `SqlParameterSource.TYPE_UNKNOWN`

### getTypeName

    public java.lang.String getTypeName(java.lang.String paramName)

  Return the type name for the given parameter, if registered.

  Specified by:
    `getTypeName` in interface `SqlParameterSource`
  Parameters:
    `paramName` - the name of the parameter
  Returns:
    the type name of the parameter, or `null` if not registered

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD